Loading...
Searching...
No Matches
subrange.hpp File Reference

## Classes

struct | ranges::make_subrange_fn
struct | ranges::subrange< I, S, K >
struct | std::tuple_element< 0, ::ranges::subrange< I, S, K > >
struct | std::tuple_element< 1, ::ranges::subrange< I, S, K > >
struct | std::tuple_size<::ranges::subrange< I, S, K > >

## Namespaces

namespace | std
| STL namespace.

## Typedefs

template<typename R >
using | ranges::borrowed_subrange_t = detail::maybe_dangling_< R, subrange< iterator_t< R > > >
template<typename R >
using | ranges::safe_subrange_t = borrowed_subrange_t< R >
template<typename R >
using | ranges::cpp20::safe_subrange_t = borrowed_subrange_t< R >
template<typename I , typename S = I, subrange_kind K = static_cast<subrange_kind>( detail::is_sized_sentinel_<S, I>())>
using | ranges::cpp20::subrange = ranges::subrange< I, S, K >

## Enumerations

enum class | subrange_kind : bool { unsized , sized }

## Variables

template<typename I , typename S , subrange_kind K>
constexpr bool | ranges::enable_borrowed_range< subrange< I, S, K > > = true